import React from 'react';
export interface ICustomInputProps {
    inputProps?: any;
    title?: any;
    prefix?: string | JSX.Element;
    suffix?: string | JSX.Element;
    error?: string;
    focus?: boolean;
    loading?: boolean;
    password?: boolean;
    textCenter?: boolean;
    hidePassword?: boolean;
    setHidePassword?: (v: boolean) => void;
}
export interface IInputProps extends React.ComponentProps<any> {
    name?: any;
    title?: any;
    prefix?: string | JSX.Element;
    suffix?: string | JSX.Element;
    textRight?: boolean;
    textCenter?: boolean;
    password?: boolean;
    loading?: boolean;
    type?: string;
    mask?: 'CEP' | 'CNPJ' | 'CPF' | 'RG' | 'phone' | 'number' | 'no-spaces';
    withoutDotNumber?: boolean;
    decimals?: number;
    error?: string;
    value?: string;
    onInput?: (text: string) => void;
    onEnter?: (text: string) => void;
    defaultValue?: string;
    CustomComponent?: React.FunctionComponent<ICustomInputProps>;
    as?: React.FunctionComponent<any>;
}
//# sourceMappingURL=InputCore.interface.d.ts.map